<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [bitburner](./bitburner.md) &gt; [WarehouseAPI](./bitburner.warehouseapi.md) &gt; [setProductMarketTA2](./bitburner.warehouseapi.setproductmarketta2.md)

## WarehouseAPI.setProductMarketTA2() method

Set market TA 2 for a product.

**Signature:**

```typescript
setProductMarketTA2(divisionName: string, productName: string, on: boolean): void;
```

## Parameters

|  Parameter | Type | Description |
|  --- | --- | --- |
|  divisionName | string | Name of the division |
|  productName | string | Name of the product |
|  on | boolean | market ta enabled |

**Returns:**

void

